{% extends "ajax/game/town/town.html.twig" %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-bank time-{{ hour }} {% if town.isNight %}night{% endif %}"></div>
    </div>

    <div class="help">
        {% trans from 'game' %}
            Hier findest du alle Gegenstände, die gegenwärtig in der Bank aufbewahrt werden. Bei diesen Gegenständen handelt es sich um Spenden der Bürger. Sie sind im Wesentlichen dazu da, Gemeinschaftsgebäude zu bauen und die Stadt gegen die allnächtlichen Zombieattacken zu verteidigen.
        {% endtrans %}
    </div>

    <div class="row town-summary">
        <div class="padded cell rw-4 row-header"><img src="{{ asset('build/images/item/item_plate.gif') }}" /> {{'Stadtverteidigung'|trans({}, 'game')}}</div>
        <div class="padded cell rw-8 row-detail">{{def}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> (<span class="link" x-ajax-href="{{ path('town_dashboard') }}">{{'Details ansehen'|trans({}, 'game')}}</span>)</div>
        <div class="padded cell rw-4 row-header">{{'Verteidigungsgegenstände'|trans({}, 'game')}}</div>
        <div class="padded cell rw-8 row-detail">{{item_defense}} {{'Punkte'|trans({}, 'global')}} ({{item_def_count}} {{'Gegenstände'|trans({}, 'game')}} x {{item_def_factor}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> ) <a class="help-button"><div class="tooltip help">{{ 'Jeder <strong>Verteidigungsgegenstand</strong>, der sich in der Bank befindet, bringt der Stadt <strong>1 Verteidigungspunkte</strong>.'|trans({},'global')|raw }}</div>{{ 'Hilfe'|trans({},'global') }}</a> </div>
    </div>

    <div class="row">
        <div class="padded cell rw-6 rw-lg-12">
            {% embed "ajax/game/inventory.html.twig" with {'size': rucksack_size, 'items': rucksack.items} %}
                {% block class %}rucksack{% endblock %}
                {% block title %}{% trans from 'game' %}Rucksack{% endtrans %}{% endblock %}
            {% endembed %}

            <button id="drop-all-button" {% if rucksack.items|length == 0 %}disabled{% endif %}><img alt="" src="{{ asset('build/images/item/item_bag.gif') }}"> {% trans from 'game' %}Rucksack in der Bank ausleeren{% endtrans %}</button>

            {% embed "ajax/game/inventory.html.twig" with {'size': 0, 'items': bank, 'bankmode': true} %}
                {% block class %}bank{% endblock %}
                {% block title %}{% endblock %}
            {% endembed %}
        </div>

        <div class="padded cell rw-6 rw-lg-12">
            <div class="forum-preview-container hide-sm">
                <div id="forum-content">
                    <div class="center"><i class="fa fa-spin fa-circle-notch"></i> {{ 'Lade Forum...'|trans({},'game') }}</div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <h5>{% trans from 'game' %}Bankregister{% endtrans %}</h5>
        <div class="cell rw-12">
            {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('town_bank_log_controller') } %}
            {% endembed %}
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% embed "scripts/inventory.js.twig" %}{% endembed %};
        {% embed "scripts/log.js.twig" %}{% endembed %}

        handleItems(
            document.querySelectorAll('.rucksack>.item:not(.locked)[x-item-id]'),
            '{{ path('town_bank_item_controller') }}',
            'down', '{{ path('town_bank') }}'
        );

        handleItems(
            document.querySelectorAll('#drop-all-button'),
            '{{ path('town_bank_item_controller') }}',
            'down-all', '{{ path('town_bank') }}'
        );

        handleItems(
            document.querySelectorAll('.bank>.item:not(.locked)[x-item-id]'),
            '{{ path('town_bank_item_controller') }}',
            'up', '{{ path('town_bank') }}'
        );

        const bankHandler = function() {
            var input, filter, ul, li, img, i, txt;
            input = document.getElementById('banksearch');
            filter = input.value.toUpperCase();
            ul = document.getElementById("bank-inventory");
            li = ul.getElementsByTagName('li');

            if (filter.length === 0 || filter.trim === '') {
                for (i = 0; i < li.length; i++) {
                    li[i].classList.remove('blur');
                    li[i].classList.remove('focus');
                }
            }
            else {
                for (i = 0; i < li.length; i++) {
                    if (!li[i].classList.contains('category')) {
                        img = li[i].getElementsByTagName("img");
                        txt = img[0].alt;
                        if (txt.toUpperCase().indexOf(filter) > -1) {
                            li[i].classList.remove('blur');
                            li[i].classList.add('focus');
                        } else {
                            li[i].classList.add('blur');
                            li[i].classList.remove('focus');
                        }
                    }
                }
            }
        };
        document.getElementById('banksearch').addEventListener('keyup', bankHandler);

        $.ajax.background().no_history().load( document.getElementById('forum-content'), '{{ path('forum_previewer_controller', {fid: town.forum.id, sem: constant('App\\Entity\\Thread::SEMANTIC_BANK') })|e('js') }}', false, {}, function() {
            let container = document.querySelector('.forum-preview-container');
            container.scrollTop = container.scrollHeight;
        } );
    </script>
{% endblock %}